#include <bits/stdc++.h>
#define int long long

using namespace std;

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int t;
    cin >> t;
    int n, m;
    cin >> n >> m;
    if (m % 2 == 0) {
        cout << "No";
        return 0;
    }
    cout << "Yes\n";
    if (t == 1)return 0;
    cout << m / 2 + 1 << '\n';
    if (t == 2)return 0;
    cout << 1 << '\n' << m / 2 << " " << m / 2 + 1;
}
